import { requestClient } from '#/api/request';

async function queryPage(param) {
  return requestClient.post('/auth/ConfigRelation/queryPage', param);
}

async function queryList(param) {
  return requestClient.post('/auth/ConfigRelation/queryList', param);
}

async function create(param) {
  return requestClient.post('/auth/ConfigRelation/addOne', param);
}

async function removeByUid(param) {
  return requestClient.post('/auth/ConfigRelation/removeByUid/' + param.uuid, param);
}

async function updateByUid(param) {
  return requestClient.post('/auth/ConfigRelation/updateByUid' , param);
}

async function getById(param) {
  return requestClient.post('/auth/ConfigRelation/getById', param);
}

async function getByUuid(param) {
  return requestClient.post('/auth/ConfigRelation/getByUuid', param);
}

export const configRelation = {
  queryPage,
  queryList,
  create,
  removeByUid,
  updateByUid,
  getById,
  getByUuid,
}